import { JsonCard } from "@/components/cards/JsonCard";
import { ServerCard } from "@/components/cards/ServerCard";
import { NavigationToolbar } from "@/components/common/NavigationToolbar";
import { fetchServerById } from "@/lib/db";
import { notFound } from "next/navigation";

export default async function Server({ params }: { params: { id: string } }) {
  const server = await fetchServerById(params.id);
  if (!server) return notFound();

  return (
    <div className="flex flex-col gap-2">
      <NavigationToolbar>Inspecting Server</NavigationToolbar>
      <ServerCard server={server} subtitle="Server" />
      <JsonCard obj={server} />
    </div>
  );
}
